%define upstream_name    Git-DescribeVersion
%define upstream_version 1.015

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Use git-describe to show a repo's version
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Git/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Cwd)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(List::Util)
BuildRequires: perl(Test::MockObject) >= 1.90.0
BuildRequires: perl(Test::MockObject::Extends) >= 1.90.0
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(strict)
BuildRequires: perl(version) >= 0.820.0
BuildRequires: perl(warnings)
BuildRequires: git >= 1.5.5
BuildArch:  noarch

%description
no description found

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README examples
%{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Fri Oct 18 2013 umeabot <umeabot> 1.15.0-3.mga4
+ Revision: 511949
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.15.0-2.mga3
+ Revision: 367748
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Aug 31 2012 kharec <kharec> 1.15.0-1.mga3
+ Revision: 286187
- add a br on git
- update to 1.015

* Tue Nov 08 2011 jquelin <jquelin> 1.14.0-1.mga2
+ Revision: 165444
- remove MYMETA from %%doc
- update to 1.014

* Thu Nov 03 2011 jquelin <jquelin> 1.13.0-1.mga2
+ Revision: 162213
- update to 1.013
- update to 1.003

* Mon Mar 14 2011 jquelin <jquelin> 1.1.11-1.mga1
+ Revision: 71151
- imported package perl-Git-DescribeVersion


* Mon Mar 14 2011 cpan2dist 1.001011-1mga
- initial mageia release, generated with cpan2dist
